Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.api.domain
Class Addressee

    java.lang.Object
      be.ehealth.businessconnector.ehbox.api.domain.Addressee

    public class Addressee

extends Object

Addressee Class definition.

Constructor Summary
`Addressee(IdentifierType type)` Instantiates a new Addressee.
`Addressee(String id, IdentifierType helperType)` Instantiates a new addressee.
`Addressee(String id, QualityType qualityType)` Instantiates a new addressee.

Method Summary
`String` | `getApplicationId()`
`String` | `getFirstName()`
`String` | `getId()`
`long` | `getIdAsLong()`
`IdentifierType` | `getIdentifierTypeHelper()`
`String` | `getLastName()`
`String` | `getOrganizationName()`
`String` | `getPersonInOrganisation()`
`String` | `getQuality()`
`String` | `getSubType()`
`String` | `getType()`
`boolean` | `isOoOProcessed()`
`void` | `setApplicationId(String applicationId)`
`void` | `setFirstName(String firstName)`
`void` | `setId(String id)`
`void` | `setIdenfitierTypeHelper(IdentifierType helper)`
`void` | `setLastName(String lastName)`
`void` | `setOoOProcessed(boolean ooOProcessed)`
`void` | `setOrganizationName(String organizationName)`
`void` | `setPersonInOrganisation(String personInOrganisation)`
`void` | `setQuality(QualityType quality)`
`void` | `setQuality(String quality)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Addressee

    public Addressee(String id,
                     QualityType qualityType)

  Instantiates a new addressee.

  Parameters:
    `id` -
    `qualityType` -

### Addressee

    public Addressee(String id,
                     IdentifierType helperType)

  Instantiates a new addressee.

  Parameters:
    `id` -
    `helperType` -

### Addressee

    public Addressee(IdentifierType type)

  Instantiates a new Addressee.

  Parameters:
    `type` -

Method Detail

### isOoOProcessed

    public boolean isOoOProcessed()

  Returns:
    the ooOProcessed

### setOoOProcessed

    public void setOoOProcessed(boolean ooOProcessed)

  Parameters:
    `ooOProcessed` - the ooOProcessed to set

### getId

    public final String getId()

  Returns:
    the id

### getIdAsLong

    public final long getIdAsLong()

  Returns:
    the identifier as Long

### setId

    public final void setId(String id)

  Parameters:
    `id` - the id to set

### getType

    public final String getType()

  Returns:
    the type

### getSubType

    public final String getSubType()

  Returns:
    the subtype or null if identifier is null

### getQuality

    public final String getQuality()

  Returns:
    the quality

### setQuality

    public final void setQuality(String quality)

  Parameters:
    `quality` - the quality to set

### setQuality

    public void setQuality(QualityType quality)

  Parameters:
    `quality` -

### getApplicationId

    public final String getApplicationId()

  Returns:
    the applicationId

### setApplicationId

    public final void setApplicationId(String applicationId)

  Parameters:
    `applicationId` - the applicationId to set

### getLastName

    public final String getLastName()

  Returns:
    the lastName

### setLastName

    public final void setLastName(String lastName)

  Parameters:
    `lastName` - the lastName to set

### getFirstName

    public final String getFirstName()

  Returns:
    the firstName

### setFirstName

    public final void setFirstName(String firstName)

  Parameters:
    `firstName` - the firstName to set

### getOrganizationName

    public final String getOrganizationName()

  Returns:
    the organizationName

### setOrganizationName

    public final void setOrganizationName(String organizationName)

  Parameters:
    `organizationName` - the organizationName to set

### setIdenfitierTypeHelper

    public void setIdenfitierTypeHelper(IdentifierType helper)

  Parameters:
    `helper` -

### getIdentifierTypeHelper

    public IdentifierType getIdentifierTypeHelper()
                                           throws EhboxBusinessConnectorException

  Returns:
    IdentifierTypeHelper
  Throws:
    `EhboxBusinessConnectorException` - if identifier is null

### setPersonInOrganisation

    public void setPersonInOrganisation(String personInOrganisation)

  Parameters:
    `personInOrganisation` - the personInOrganisation to set

### getPersonInOrganisation

    public String getPersonInOrganisation()

  Returns:
    the personInOrganisation

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.